using System.Web.Http;
using WebActivatorEx;
using fatd_faturamento.UI.API;
using Swashbuckle.Application;

[assembly: PreApplicationStartMethod(typeof(SwaggerConfig), "Register")]

namespace fatd_faturamento.UI.API
{
    public class SwaggerConfig
    {
        public static void Register()
        {
            var thisAssembly = typeof(SwaggerConfig).Assembly;

            GlobalConfiguration.Configuration
                .EnableSwagger(c => { c.SingleApiVersion("v1", "fatd_faturamento.UI.API"); })
                .EnableSwaggerUi(c => { });
        }
    }
}
